## jline
Class SimpleCompletor.NoOpFilter

    java.lang.Object
      jline.SimpleCompletor.NoOpFilter

All Implemented Interfaces:
  SimpleCompletor.SimpleCompletorFilter

Enclosing class:
  SimpleCompletor

public static class SimpleCompletor.NoOpFilter
extends Object
implements SimpleCompletor.SimpleCompletorFilter

Constructor Summary
`SimpleCompletor.NoOpFilter()`

Method Summary
`String` `filter(String element)` Filter the specified String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleCompletor.NoOpFilter

    public SimpleCompletor.NoOpFilter()

Method Detail

### filter

    public String filter(String element)

  Description copied from interface: `SimpleCompletor.SimpleCompletorFilter`
  Filter the specified String. To not filter it, return the same String as the parameter. To exclude it, return null.

  Specified by:
    `filter` in interface `SimpleCompletor.SimpleCompletorFilter`

Released under the terms of the BSD license